Joomla 3.10.11 nem fut php8 alatt

Több
1 éve 4 hónapja #17208 Írta: transzmoha
Joomla 3.10.11 nem fut php8 alatt téma létrehozva transzmoha által
Sziasztok!

Az lenne a kérdésem, hogy, mit tudok tenni, ha a meglévő rendszerem (joomla 3.10.11) nem fut php 8 alatt?
Az adminba belépve figyelmeztet a rendszer. hogy a php verzióm elavult (7.4) és frissítsem 8-ra. Ha a tárhely admin beállítja, leáll a frontend 404-essel. Admin is csak részlegesen érhető el, A kezelőpult egyáltalán nem elérhető.

Köszönöm: Richárd

Jelentkezz be, hogy te is részt vehess beszélgetésben!

Több
1 éve 4 hónapja #17209 Írta: kovacshazi
kovacshazi válaszolt a következő témában: Joomla 3.10.11 nem fut php8 alatt
Első feladat, hogy az összes kiegészítőt és sablont frissíteni kell PHP8-ra, ha csak egyik is nem megfelelő akkor kaphatsz 404-es hibát.
Ha nem tudod ezeket valamiért frissíteni, akkor megpróbálhatod kideríteni mi okozza a 404-es hibát.

Kapcsold ki az összes modult. Ez persze problémát szokott okozni, mert utána tudni kell miket kellene visszakapcsolni.
Ezért először én üríteni szoktam a modul kukát, utána a jelenleg visszavont modulokat kidobom a kukába (ekkor már nem ürítem a kukát), és a jelnelge összes kijelölt modult visszavonom. Ha így kvázi üresen bejön az oldal akkor valamelyik modul a ludas 404-es hiba üzenetben.
Először visszakapcsolom a Joomla alap modulokat.
Ha így is minden rendben utána egyesével a továbbiakat, amelyiknél ismét 404-es hiba jön akkor azt ki kell deríteni mit lehet csinálni: frissíteni, kódot javíta, vagy kiváltani másik hasonló modullal.

Ha a modulok kikapcsolása mellett is 404-es hibaüzenetet kapsz az már kicsit bonyolultabb. Akkor először váltsd át az oldalt egy alap Joomla sablonra. Ha OK-s az oldal akkor a sablonod nem megfelelő, ha esetleg NEM OK-s akkor viszont az a komponens lehet a gond amelyiknek a tartalmát megjeleníted a nyitóoldalon

Az admin is csak részlegesen érhető el problémára hasonló eljárást tudok javasolni. Elsőre egyébként a pluginok között kapcsold ki a PHP verzió ellenőrző plugint, általában ez okozza a Vezérlőpult hibát.
Ha használsz JoomShaper Helix sablont akkor a sablon és a Helix plugin frissítésének elmaradása is okozhat problémát...

Első körben ezeket nézd át.

Segítség Joomla és VirtueMart webáruház készítéséhez, problémák megoldásában
www.webprogramok.hu

Joomladay2013 - Budapest, Hungary
www.joomladay.hu

Jelentkezz be, hogy te is részt vehess beszélgetésben!